    %% Parametrizzazione del modello
clear all,clc

% Parametri modello motore DC
% Parametri elettromeccanici
R=0.8;     % resistenza 
L=1e-3;    % induttanza
KT=0.3;    % costante di coppia 
KV=0.3;    % costante di forza c.e.m. 
J=1;       % momento di inerzia  
B=0.8;     % coefficiente di attrito viscoso 

% Ingressi
V=10;      % tensione di alimentazione
Tres=0;    % coppia resistente

% Condizioni iniziali
omega0=0;  %condizione iniziale della velocita
i0=0;      %condizione iniziale della corrente 
%% Apertura ed avvio del modello
open_system('MotoreDC_subsystem2Workspace')
sim('MotoreDC_subsystem2Workspace')
%% Creazione grafici
figure(1)
plot(velocita),
grid,
title('Velocità angolare del motore')
ylabel('Velocita [rad/s]')

figure(2)
plot(corrente),
grid,
title('Corrente di fase')
ylabel('Corrente [A]')

figure(3)
plot(velocita.Time,velocita.Data,corrente.Time,corrente.Data,'LineWidth',2),grid,
title('Velocità angolare [rad/s] e corrente [A]','FontSize',14)
xlabel('Tempo [secondi]','FontSize',14)
set(gca,'FontSize',14)
legend('Velocita','Corrente')

